Description
Sea Side Aquatics new collapsible acclimation/utility box comes in 4 different size RFC-100 (sm), RFC-200 (med), RFC-300 (lg), RFC-400 (xlg). Each unit divider can be removed (only on med-xlg boxes) to create one large unit. Adjustable hanging bracket can support 3/4″ glass/acrylic panel and is compatible with rimless and euro braced tank. Acclimation/utility box can be fully collapsible to space saving size for easy storage. Acclimation/Utility boxes can be used to: – acclimate new fish into yo

![4 Pack - 4 Inch Ring Filter Socks 200 Micron - Aquarium Felt Filter Bags -4 Inch Ring by 16 Inches Long [Long Version] - Fits Eshopps…](https://m.media-amazon.com/images/I/71Ic3I+smML._AC_SL1500_.jpg)


